import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.net.*;

public class DecimoFrame extends Frame
{
  private Image imagem;
  public DecimoFrame()
  {
    setTitle("A hora do espanto !!");
    addWindowListener(new WindowAdapter(){public void windowClosing(WindowEvent e){System.exit(0);}});
    setSize(800,600);
    imagem = Toolkit.getDefaultToolkit().getImage("f5aula3.jpg");
  }
  public void paint(Graphics g)
  {
    Dimension d = getSize();
    Insets in = getInsets();
    g.translate(in.left, in.top);
    int larguraTela = d.width - in.right - in.left;
    int alturaTela = d.height - in.bottom - in.top;
    int larguraImagem = imagem.getWidth(this);
    int alturaImagem = imagem.getHeight(this);

    g.drawImage(imagem, 0, 0, this);
    for (int i = 0; i <= larguraTela / larguraImagem; i++)
      for (int j = 0; j <= alturaTela / alturaImagem; j++)
        if (i + j > 0)
          g.copyArea(0, 0, larguraImagem, alturaImagem,i * larguraImagem, j * alturaImagem);
  }
  public static void main(String args[])
  {
    Frame f = new DecimoFrame();
    f.setVisible(true);
  }
}